Skip to content

Продление срока хранения

Метод позволяет продлить срок хранения заказа на 72 часа.

Продление срока хранения возможно при статусе заказа "Загружено курьером" event_id = 3

POST /order/extension

Инициатор запроса внешняя система

Header parameters

desctype
SST-ECOM-KEYКлюч авторизацииstringrequired
Content-TypeСо значением application/jsonstringrequired

Request body

desctype
extIdИдентификатор заказа во внешней системеstringrequired

Пример запроса

shell
curl -X 'POST' \
  'https://apim.selftech.ru/test/v4/order/extension' \
  -H 'accept: */*' \
  -H 'SST-ECOM-KEY: KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "extId": "E300884"
}'

Коды ответов

200 - ОК

Response schema

desctype
externalIDИдентификатор заказа во внешней системеstring
date_storageОбновленная дата храненияstring
json
{
"externalID": "E300884",
"date_storage": "datetime"
}
400 - Bad request

Response schema

desctype
messageСообщение ошибки: 3 - Parameter value is wrong: не должно быть пустым [bad value: externalId ('null')]; 250 - Operation not found; 252 - Operation have bad statestring
resultCodeКод ошибкиint32
json
{
"message": "Operation have bad state",
"resultCode": 252 
}
401 - Unauthorized

Response schema

desctype
messageСообщение ошибки: 1 - Authorization error; 1 - Marketplace account not found; 10 - Marketplace account not active; 11 - Marketplace organization not activestring
resultCodeint32
json
{
"message": "Marketplace organization not active",
"resultCode": 11 
}

500 - Internal server error

Пример ответа

json
{
"externalID": "d335450e-e86a-4aa6-a047-50c0c95d24ec",
"date_storage": "2023-09-19T10:01:37+03:00"
}